namespace Wizard;

public class RoomBattleDoMatchingTaskAvatar : RoomBattleDoMatchingTask
{
	public RoomBattleDoMatchingTaskAvatar(bool isGathering)
		: base(isConvention: false, isGathering: false)
	{
		if (isGathering)
		{
			base.type = ApiType.Type.GatheringRoomBattleDoMatching;
		}
		else
		{
			base.type = ApiType.Type.OpenRoomBattleDoMatchingAvatar;
		}
	}
}
